#ifndef MAINWINDOW_HPP
#define MAINWINDOW_HPP

#include <QMainWindow>
#include <QThread>

#include "progresswindow.hpp"
#include "rename.hpp"

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
		Q_OBJECT

	public:
		MainWindow(QWidget *parent = nullptr);
		~MainWindow();

	private slots:
		void btnSearchClick();
		void btnStartClick();
        void makeFinish();
		void progessWindowClosing();
		void txtFolderEdited(QString text);

    signals:
        void finish(QString logFile);

	private:
		Ui::MainWindow *ui;
		QThread *thread;
		Rename *rename;
		ProgressWindow *progressWindow;
		QString logFilePath;

		bool checkDir(QString dir);
		void makeThread();
		void startThread();

};
#endif // MAINWINDOW_HPP
