#ifndef PROGRESSWINDOW_HPP
#define PROGRESSWINDOW_HPP

#include <QMainWindow>
#include <QThread>

#include "rename.hpp"

namespace Ui {
	class ProgressWindow;
}

class ProgressWindow : public QMainWindow
{
		Q_OBJECT

	signals:
		void windowClosing();

	public:
		explicit ProgressWindow(QWidget *parent = nullptr);
		~ProgressWindow();

	public slots:
		void showError(QString err);
		void showFinish(QString logFile);
		void showProgress(int percentage, QStringList state);

	private:
		bool finish = false;
		Ui::ProgressWindow *ui;
		void closeEvent(QCloseEvent *event);
};

#endif // PROGRESSWINDOW_HPP

