#ifndef RENAME_HPP
#define RENAME_HPP

#include <ExtendedLog/LogWriter.hpp>
#include <QObject>
#include <QThread>
#include <QSet>

namespace extLog = ExtendedLog;

class Rename : public QObject
{
		Q_OBJECT

	public:
		explicit Rename(QString path, int minutes, int hours, extLog::LogWriter *logWriter, QObject *parent = nullptr);
		~Rename();

	public slots:
		void rename();

	signals:
		void error(QString err);
		void finished();
		void progressChanged(int percentage, QStringList state);

	private:
		const QString dir;
		const int minutes;
		const int hours;
		const QStringList filters {"*.jpg", "*.jpeg", "*.JPG", "*.JPEG"};

		extLog::LogWriter *logWriter;

		int numberOfFiles;

		/**
		 * @brief all "base" filenames that are extended with a counter
		 */
		QSet<QString> countedNames;

		QString addZero(int value);
		QString correctDateTimeFormat(QString fromExifLibrary);
		QString newFileName(QDateTime date, int hr_minus, int min_minus);
		int getPercent(double curr);
		void correctBaseNames();
		QString createCountName(QString file, int counter);
};

#endif // RENAME_HPP
